Skip to main content
GET
/
dr
/
v1
/
appointment
Get Appointments
curl --request GET \
  --url https://api.eka.care/dr/v1/appointment \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.eka.care/dr/v1/appointment"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.eka.care/dr/v1/appointment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appointments": [
    {
      "appointment_id": "apt_001",
      "partner_appointment_id": "p_001",
      "created_at": 1730189586,
      "doctor_id": "doc_123",
      "clinic_id": "cln_456",
      "patient_id": "pat_789",
      "channel": "Walkin",
      "status": "CM",
      "mode": "in_clinic",
      "start_time": 1730189586,
      "end_time": 1730189586,
      "prescription_id": "presc_001",
      "prescription_url": "https://prescription-store-s3.eka.care/P-DW-1234.pdf",
      "partner_patient_id": "partner_patient_id1",
      "partner_doctor_id": "partner_doc_id1",
      "partner_clinic_id": "partner_clinic_id1"
    }
  ]
}
{
"error": {
"code": "INVALID_REQUEST_PARAMETERS",
"message": "You must provide one of the valid filter combinations."
}
}
{
"message": "Forbidden"
}
{
"error": {
"code": "SERVER_ERROR",
"message": "An unexpected error occurred while processing your request. Please try again later."
}
}

Headers

Authorization
string
required
Example:

"auth"

Query Parameters

patient_id
string

Filter by patient. Cannot be combined with any other filter.

doctor_id
string

Filter by doctor (must be combined with start_date and end_date).

clinic_id
string

Filter by clinic (must be combined with start_date and end_date).

start_date
string<date>

Start date of appointments.

Example:

"2025-05-01"

end_date
string<date>

End date of appointments.

Example:

"2025-05-07"

page_no
integer

Page number for pagination (starts from 0).

  • Each page contains up to say 50 appointments (limit=50).
  • page_no=0 means the first page.
  • If the "appointments" array has exactly 50 items, there may be more results. Continue with page_no=1, page_no=2, etc.
  • If the "appointments" array has fewer than 50 items, there are no more results and you can stop fetching.
Example:

0

Response

Successful response with appointment list

appointments
object[]